# Calculate future occurrences based on the new schedules and the old frequencies

GET /v3/schedules/calendar

Endpoint: GET /v3/schedules/calendar
Security: API_Key

## Security:

  - `API_Key` (unknown)
    apiKey in header Authorization

## Query parameters:

  - `localStartDateTime` (string)

  - `localEndDateTime` (string)

## Response 200:

  - `200` (unknown)
    Get all data sources scheduled and future occurrences for provided params.

## Response 200 fields (application/json):

  - `itemName` (string)
    Name of the scheduled item.

  - `itemId` (integer)
    Item id of scheduled item.

  - `itemType` (string)
    Type of data source item.
    Enum: "AUDIT", "WEB_JOURNEY"

  - `runs` (array)

  - `runs.runId` (integer)
    Example: 33010

  - `runs.startedAt` (string)
    Date/time of when an item was started

  - `futureOccurrences` (array)

  - `folderId` (integer)
    ID of a folder
    Example: 123

  - `subFolderId` (integer)
    The ID of the subfolder under which the WebJourney/Audit is within.

  - `userId` (integer)
    ID of a user
    Example: 123

  - `labels` (array)

  - `isMonitoredByScriptServices` (boolean)
    Whether the journey is monitored by script services.

  - `schedule` (object)
    Schedule object with exception dates for the calendar endpoint.

  - `schedule.description` (string)
    A description of the schedule.

## Response 400:

  - `400` (unknown)
    The request cannot be accepted

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401:

  - `401` (unknown)
    Your token is invalid.

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403:

  - `403` (unknown)
    You don't have enough rights to access this resource

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

